composer2.0 安装 tp5.1 出错

浏览:2328 发布日期:2020/10/28 分类:ThinkPHP5专区
php:7.4 ubuntu20

[email protected]:/mnt/webwww$ composer create-project topthink/think tp5.1 5.1
Creating a "topthink/think" project at "./tp5.1"
Installing topthink/think (v5.1.0)

Downloading topthink/think (v5.1.0)
Installing topthink/think (v5.1.0): Extracting archive
Created project in /mnt/webwww/tp5.1
Loading composer repositories with package information
Updating dependencies
Lock file operations: 2 installs, 0 updates, 0 removals
Locking topthink/framework (v5.1.40)
Locking topthink/think-installer (v2.0.1)
Writing lock file
Installing dependencies from lock file (including require-dev)
Package operations: 2 installs, 0 updates, 0 removals
Installing topthink/think-installer (v2.0.1): Extracting archive
Installing topthink/framework (v5.1.40): Extracting archive
Failed to extract topthink/framework: (9) unzip -qq '/mnt/webwww/tp5.1/vendor/composer/tmp-dbf7d66b554dcaadc27f8949ee727238' -d '/mnt/webwww/tp5.1/vendor/composer/5c823730'
unzip: cannot find or open /mnt/webwww/tp5.1/vendor/composer/tmp-dbf7d66b554dcaadc27f8949ee727238.

This most likely is due to a custom installer plugin not handling the returned Promise from the downloader
See https://github.com/composer/installers/commit/5006d0c28730ade233a8f42ec31ac68fb1c5c9bb for an example fix
Generating autoload files
最佳答案
评论( 相关
后面还有条评论,点击查看>>